## lbfgsb 3.0%2Bdfsg.3

=== debian/changelog ===
lbfgsb (3.0+dfsg.3-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:18:56 +0000

lbfgsb (3.0+dfsg.3-1) unstable; urgency=medium

  * Remove repack script and have uscan read Files-Excluded from
    debian/copyright instead.

 -- Gard Spreemann <gspreemann@gmail.com>  Mon, 19 Sep 2016 18:30:54 +0200

lbfgsb (3.0+dfsg.2-1) unstable; urgency=medium

  * Remove unused blas.f and linpack.f during repack.
  * -examples package with example programs (compiled and source) and
    output from upstream.
  * -doc package split off from main lib package.
  * Multi-arch support for the library packages.
  * Explicitly set compile flags.
  * Enable hardening.
  
 -- Gard Spreemann <gspreemann@gmail.com>  Fri, 20 May 2016 18:04:05 +0200

lbfgsb (3.0+dfsg.1-1) unstable; urgency=medium

  * Initial packaging. Closes: #811069

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 11 May 2016 12:12:59 +0200
