=== debian/rules ===
#!/usr/bin/make -f

SONAME=liblbfgsb.so.0

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	gfortran $(FCFLAGS) -fPIC -o build/lbfgsb.o -c lbfgsb.f
	gfortran $(FCFLAGS) -fPIC -o build/timer.o -c timer.f
	gfortran $(FCFLAGS) -shared $(LDFLAGS),-soname,$(SONAME) \
		 -o build/$(SONAME) build/lbfgsb.o build/timer.o \
		 -lblas -llapack
	ar cr build/liblbfgsb.a build/lbfgsb.o build/timer.o
	ln -s $(SONAME) build/liblbfgsb.so

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_compress:
	dh_compress -X.pdf
