## lbfgsb 3.0+dfsg.3

=== debian/changelog ===
lbfgsb (3.0+dfsg.3-9) unstable; urgency=medium

  * New-style dh compat level.
  * Add patch based on SciPy to prevent bounds violation. (Closes: #966448)
  * Let gbp cosmetically reformat patches.
  * Add patch based on SciPy to fix NaN propagation.
  * Add patches based on SciPy to prevent time printing and log files.
  * Move to Salsa.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 30 Jul 2020 11:01:06 +0200

lbfgsb (3.0+dfsg.3-8) unstable; urgency=medium

  * Relax compilation flags for tests to allow them to run on more
    architectures.
  * Standards-version 4.5.0. No changes needed.
  * Avoid build-depending on dh-exec, requires dh 13.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 23 Apr 2020 23:21:49 +0200

lbfgsb (3.0+dfsg.3-7) unstable; urgency=medium

  * Man page stub for -examples package.
  * Add superficial test that just checks that the upstream examples run.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 26 Aug 2019 17:20:47 +0200

lbfgsb (3.0+dfsg.3-6) unstable; urgency=medium

  * Reorder linking flag for tests.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 21 Aug 2019 09:55:26 +0200

lbfgsb (3.0+dfsg.3-5) unstable; urgency=medium

  * Remove broken symbols file.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 18 Jul 2019 13:48:32 +0200

lbfgsb (3.0+dfsg.3-4) unstable; urgency=medium

  * Standards-version 4.4.0. No changes needed.
  * Compat level 12.
  * Add symbols file.
  * Rules-Requires-Root: no
  * Change maintainer email address.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 17 Jul 2019 09:03:37 +0200

lbfgsb (3.0+dfsg.3-3) unstable; urgency=medium

  * Statically linked test binary should link with LAPACK.
  * Allow tests to print to stderr.

 -- Gard Spreemann <gspreemann@gmail.com>  Sun, 17 Jun 2018 23:58:46 +0200

lbfgsb (3.0+dfsg.3-2) unstable; urgency=medium

  * compat level 10.
  * Standards-version 4.1.4. No changes needed.
  * Introduce tests.
  * Correct installation path for -doc package.
  * Install doc-base control file.

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 13 Jun 2018 10:43:30 +0200
