=== debian/tests/control ===
Tests: tests.sh
Depends: gfortran, libblas-dev, liblapack-dev, liblbfgsb-dev, shunit2
Restrictions: allow-stderr

Tests: examples-superficial-tests.sh
Depends: liblbfgsb-examples, shunit2
Restrictions: allow-stderr, superficial
